#!/usr/bin/env python3

"""Create and email a list of new items

Author: Gem Stone-Logan
Contact Info: gem.stone-logan@mountainview.gov or gemstonelogan@gmail.com
"""

import psycopg2
import xlsxwriter

#Connecting to Sierra PostgreSQL database
conn = psycopg2.connect("dbname='iug' user='iuguser' host='localhost' port='1032' password='iugprog' sslmode='require'")

#Opening a session and querying the database for weekly new items
cursor = conn.cursor()
cursor.execute(open("WeeklyNewItemsRev.sql","r").read())
#For now, just storing the data in a variable. We'll use it later.
rows = cursor.fetchall()
conn.close()

#Creating the Excel file for staff
workbook = xlsxwriter.Workbook("WeeklyNewItem.xlsx")
worksheet = workbook.add_worksheet()


#Formatting our Excel worksheet
worksheet.set_landscape()
worksheet.hide_gridlines(0)

#Formatting Cells
eformatdate = workbook.add_format({'num_format': 'mm/dd/yy', 'text_wrap': True, 'valign': 'top'})
eformat = workbook.add_format({'text_wrap': True, 'valign': 'top'})
eformatlabel = workbook.add_format({'text_wrap': True, 'valign': 'top', 'bold': True})

# Setting the column widths
worksheet.set_column('A:A',10.29)
worksheet.set_column('B:B',6.29)
worksheet.set_column('C:C',12.71)
worksheet.set_column('D:D',16.57)
worksheet.set_column('E:E',24.71)
worksheet.set_column('F:F',11.14)
worksheet.set_column('G:G',18.47)
worksheet.set_column('H:J',4.5)

#Inserting a header
worksheet.set_header('&CWeekly New List')

# Adding column labels
worksheet.write('A1','Bib Record#', eformatlabel)
worksheet.write('B1','Location', eformatlabel)
worksheet.write('C1','Call#', eformatlabel)
worksheet.write('D1','Author', eformatlabel)
worksheet.write('E1','Title', eformatlabel)
worksheet.write('F1','Barcode', eformatlabel)
worksheet.write('G1','Series', eformatlabel)
worksheet.write('H1','Item Count', eformatlabel)
worksheet.write('I1','Order Count', eformatlabel)
worksheet.write('J1','Hold Count', eformatlabel)

workbook.close()


